#!/bin/sh
#
# Bus 6 Device 2: ID 0711:0230 Magic Control Technology Corp. MCT-232 Serial Port
# mct_u232
#
cd /var/log/system
ps faxwu > PS.FIRST
lsmod > LSMOD.FIRST
lsusb > LSUSB.FIRST
cat /proc/iomem > IOMEM.FIRST
cat /proc/ioports > IOPORTS.FIRST
cat /proc/interrupts > INTERRUPTS.FIRST
echo -n "hit y and enter to load usbserial module :"
read REPLY
case $REPLY in
[Yy]*)  if lsusb | grep -q 'ID 0711:0230 Magic Control Technology Corp. MCT-232 Serial Port' ; then
			if lsmod | grep -q ^usbserial ; then
				if lsmod | grep -q ^mct_u232 ; then
        			[ -c /dev/ttyUSB0 ] || mknod /dev/ttyUSB0 c 188 0
				fi
			fi
		elif lsusb | grep -q 'ID 22b8:640a Motorola PCS' ; then
			modprobe usbserial product=0x640a vendor=0x22b8
        	[ -c /dev/ttyUSB0 ] || mknod /dev/ttyUSB0 c 188 0
        	[ -c /dev/ttyUSB1 ] || mknod /dev/ttyUSB1 c 188 1
        	[ -c /dev/ttyUSB2 ] || mknod /dev/ttyUSB2 c 188 2
		elif lsusb | grep -q 'ID 05c6:6000 Qualcomm, Inc.' ; then
			modprobe usbserial vendor=0x05c6 product=0x6000 debug=1
        	[ -c /dev/ttyUSB0 ] || mknod /dev/ttyUSB0 c 188 0
        	[ -c /dev/ttyUSB1 ] || mknod /dev/ttyUSB1 c 188 1
        	[ -c /dev/ttyUSB2 ] || mknod /dev/ttyUSB2 c 188 2
			if lsmod | grep -q ^usbserial ; then
				echo "to test the Flying DO/RORO card do:"
				echo "cu -l ttyUSB0"
			fi	
		elif lsusb | grep -q 'ID 11f6:1003' ; then
			if lsmod | grep -q ^cdc_acm ; then
				[ -c /dev/ttyACM0 ] || mknod /dev/ttyACM0 c 166 0	
				echo "to test to:"
				echo "cu -l ttyACM0"
			fi
		fi
	    ;;
*)      ;;
esac

echo -n "hit anything to save machine state :"
read REPLY

ps faxwu > PS.AFTER
lsmod > LSMOD.AFTER
lsusb > LSUSB.AFTER
echo >> LSUSB.AFTER
lsusb -v >> LSUSB.AFTER
cat /proc/iomem > IOMEM.AFTER
cat /proc/ioports > IOPORTS.AFTER
cat /proc/interrupts > INTERRUPTS.AFTER
